<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" href="img/logo_ccat.ico"/>
    <title>CCAT</title>
    <link rel="stylesheet" 
    href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" 
    integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" 
    crossorigin="anonymous">
    <link rel="stylesheet" href="proxEventos.css">
</head>
<body>
    <header class="header-main">
        <a title="Sitio Principal" href="" id="title-logo">
            <img src="img/CCAT_logo.png" alt="Sitio Principal">
            <div class="site-name">
                <span>Centro Cultural Avanzada Tecnología</span>
            </div>
        </a>
        <nav class="nav-container">
            <ul class="nav-list-items">
                <li><a title="" href="">Inicio</a></li>
                <li><a title="" href="">¿Quiénes somos?</a></li>
                <li><a title="" href="">Áreas</a></li>
                <li><a title="" href="">Proyectos</a></li>
                <li><a title="" href="">Productos</a></li>
                <li><a title="" href="">Próximos Eventos</a></li>
            </ul>
        </nav>
    </header>
    
    <!-- DIV Principal -->
    <div class="prox_eventos" id="app">
        <!-- Mostrar Eventos -->
        <div class="mosaicos">
            <div class="titulo-prox-eventos">
                <h3 class="titulo">{{titulo}}</h3>
            </div>
            <div class="grupo" v-bind:id="index" v-for="(grupoEvento, index) of eventosAgrupados">
                <div class="evento" v-bind:id="index + '-' + index2" v-for="(evento, index2) of grupoEvento">
                    <span class="evento-fecha">{{evento.fecha}}</span>
                    <div class="evento_foto">
                        <template v-if="evento.ubicacion_img == ''">
                            <img src="img/fondo_de_prueba.jpg" v-bind:alt="'Imagen '+evento.tema">
                        </template>
                        <template v-else>
                            <!--aquí se cambiaría el src por un v-bind:src que contenga la dirección del icono del evento-->
                            <img src="img/imagen_evento_subida.png" v-bind:alt="'Imagen '+evento.tema">
                        </template>
                    </div>
                    <span class="evento_tema">Tema: {{evento.tema}}</span>
                    <span class="evento_expositor">Expositor: {{evento.expositor}}</span>
                    <button class="btn btn-success evento_btn_inscribir">Inscripción</button>
                </div>
            </div>
            <div class="indice-eventos">
                <div>
                    <a v-bind:href=" `#${indice}`" v-on:click="fLeft">
                        &lt;
                    </a>
                    <a v-bind:href="'#' + index" v-on:click="ubicarIndice(index)"
                    v-for="(grupoEvento, index) of eventosAgrupados"
                    v-bind:id="index + '-a'">
                        {{index + 1}}
                    </a>
                    <a v-bind:href="`#${indice}`" v-on:click="fRight">
                        &gt;
                    </a>
                </div>
            </div>
        </div>
    </div>
    <footer class="footer-main">
        <div id="footer-redesSociales">
            <h6>REDES SOCIALES</h6>
            <a href="addEventos.html">Agregar Próximos Eventos</a>
        </div>
        <div id="footer-menu">
            <h6>MENÚ</h6>
        </div>
        <div id="footer-contactos">
            <h6>CONTACTOS</h6>
        </div>
        
    </footer>

    <!-- development version, includes helpful console warnings -->
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="proxEventos.js"></script>
</body>
</html>